import 'dart:async';
import 'dart:ffi';
import 'dart:typed_data';
export 'package:unit_rc/UnitRC.dart';
import './UnitRCInit.dart';
import 'FuncDeclareDart.dart';
import 'FuncDeclare.dart';
import 'FuncDeclareDartBridge.dart';
import 'FuncDeclareCppBridge.dart';

class FuncDeclareCpp extends FuncDeclare with DartBaseProxyClass, FuncDeclareCppMixin {
}

mixin FuncDeclareCppMixin on DartBaseProxyClass {
    void Void_Empty() {
        _native_Void_Empty(toCpp(), );
    }
    static late final _native_Void_Empty = lib.lookupFunction<
        Void Function(Pointer<Void>, ),
        void Function(Pointer<Void>, )
    >("UnitRC_FuncDeclareCpp_Void_Empty");

    static late final lib = _lib;
    static DynamicLibrary get _lib {
        final lib = UnitRCInit.lib;
        FuncDeclareDartBridge.registerNativeMethods();
        FuncDeclareCppBridge.registerNativeMethods();
        return lib;
    }
}