import 'dart:ffi';
import 'package:unit_rc/UnitRC.dart';
import 'UnitRCInit.dart';
import 'FuncDeclareCpp.dart';

class FuncDeclareCppBridge {
    static Object createFuncDeclareCpp() {
        return FuncDeclareCpp();
    }

    static final createFuncDeclareCppFP = Pointer.fromFunction<Handle Function()>(createFuncDeclareCpp);
    static final registerCreateFuncDeclareCppFP = UnitRCInit.lib.lookupFunction<
        Void Function(Pointer<NativeFunction<Handle Function()>>),
        void Function(Pointer<NativeFunction<Handle Function()>>)
    >("UnitRC_Register_FuncDeclareCpp_createHandle");

    static bool _registered = false;
    static void registerNativeMethods() {
        if (_registered) return;
        _registered = true;
        registerCreateFuncDeclareCppFP(createFuncDeclareCppFP);
    }
}