import 'dart:typed_data';
import "package:unit_rc/UnitRC.dart";
import 'FuncDeclare.dart';
import 'FuncDeclare.dart';

class FuncDeclareDart with DartBaseClass implements FuncDeclare {
    void Function()? _func_Void_Empty;

    static FuncDeclareDart? from_Void_Empty(void Function()? func) {
        if (func == null) {
            return null;
        }
        return FuncDeclareDart._from_Void_Empty(func);
    }
    FuncDeclareDart._from_Void_Empty(void Function() func) {
        _func_Void_Empty = func;
    }

    void Void_Empty() {
        final func = _func_Void_Empty;
        if (func == null) {
            return ;
        }

        func.call();
    }

    static void Function()? Void_Empty_FromObj(Object? obj) {
        if (obj == null) {
            return null;
        }
        var funcDeclare = obj as FuncDeclare;
        if (funcDeclare is FuncDeclareDart) {
            var funcDeclareDart = funcDeclare as FuncDeclareDart;
            return funcDeclareDart._func_Void_Empty!;
        }
        return () {
            obj.Void_Empty();
        };
    }

}