import 'dart:ffi';
import 'dart:typed_data';
import 'package:unit_rc/UnitRC.dart';
import './UnitRCInit.dart';
import 'FuncDeclare.dart';
import 'FuncDeclareDart.dart';
import 'FuncDeclare.dart';

class FuncDeclareDartBridge {

    static void Void_Empty(Object? object) {
        var object_FuncDeclare = object as FuncDeclare?;
        var object_zone = object_FuncDeclare?.zone;
        if (object_FuncDeclare == null || object_zone == null) {
            return ;
        }
        object_zone.run(() {
            try {
                return object_FuncDeclare.Void_Empty();
            } catch (e, stack) {
                UnitRCError.report(e: e, stack: stack, context:"Void_Empty");
            }
        });
    }
    static final Void_EmptyFP = Pointer.fromFunction<
        Void Function(Handle, )
    >(Void_Empty);
    static final registerVoid_EmptyFP = UnitRCInit.lib.lookupFunction<
        Void Function(Pointer<NativeFunction<Void Function(Handle)>>),
        void Function(Pointer<NativeFunction<Void Function(Handle)>>)
    >("UnitRC_Register_FuncDeclareDart_Void_Empty");

    static bool _registered = false;
    static void registerNativeMethods() {
        if (_registered) return;
        _registered = true;
        registerVoid_EmptyFP(Void_EmptyFP);
    }
}